/**
 * @file midirecv.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * Receives and translates midi data
**/
#ifndef MIDIRECV_H
#define MIDIRECV_H
#include "miditools.h"

/* Initiate receiver */
void midireceiver_init();
/* Add a translation */
void midireceiver_add_translation(midib, midib, const char*);
/* Add a translation by learned value */
void midireceiver_add_translation_l(const char*);
/* Add a device */
int midireceiver_add_midi_device(const char*);
/* Clean up receiver */
void midireceiver_destroy();

#endif /* MIDIRECV_H */
